Futures Isolated

Add margin to trade

POST/futures/isolated/trade/add-marginPrivate

Add margin to a running trade. This will lower the trade liquidation price and thus decrease risk.

Permissions: futures:isolated:write

Request Body

application/json
  1. body
id*string

Trade ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
amount*integer

Amount of margin to add

Range0 < value

Response Body

OK

application/json
  1. response

A running trade

id*string

Internal trade ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
type*string

Trade type

Value in"market""limit"
side*string

Trade side

Value in"buy""sell"
openingFee*integer

Fee paid when opening the position

closingFee*integer

Fee for closing the position (0 while running)

maintenanceMargin*integer

Minimum margin required to keep the position open

quantity*number

Number of contracts in the trade

margin*integer

Current margin for the position

leverage*number

Leverage multiplier applied to the position

price*number

Bitcoin price when the trade was filled (in USD)

liquidation*number

Price at which the position will be liquidated (in USD)

stoploss*number

Stop loss price level (0 if not set, in USD)

takeprofit*number

Take profit price level (0 if not set, in USD)

stoplossTrailingDistance*number

Trailing stop distance as a fraction of price (0 if not trailing)

exitPrice*|

Bitcoin price when exiting the position (0 while running, in USD)

pl*integer

Current profit and loss for the running position

createdAt*string

Timestamp when the trade was created

Formatdate-time
filledAt*string

Timestamp when the trade was filled in the market

Formatdate-time
closedAt*null

Timestamp when the trade was closed (null while running)

entryPrice*|

Bitcoin price when entering the position (in USD)

entryMargin*integer

Initial margin when entering the position

open*boolean

Whether the trade is open (not yet filled)

running*boolean

Whether the trade is running (filled but not closed)

canceled*boolean

Whether the trade was canceled before being filled

closed*boolean

Whether the trade is closed (position exited)

sumFundingFees*integer

Total funding fees accumulated for the position

sumCashInPl*integer

Total amount cashed in from PL over the trade lifetime

sumCashInMargin*integer

Total amount cashed in from margin over the trade lifetime

clientId*|

Optional custom data field (max 64 characters)

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.isolated.addMargin({  id: 'd0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e',  amount: 1000})
{  "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",  "type": "market",  "side": "buy",  "openingFee": 10,  "closingFee": 0,  "maintenanceMargin": 1000,  "quantity": 100,  "margin": 1000,  "leverage": 10,  "price": 20000,  "liquidation": 18000,  "stoploss": 10,  "takeprofit": 10,  "stoplossTrailingDistance": 0,  "exitPrice": 0,  "pl": 2,  "createdAt": "2025-09-01T15:04:21.129Z",  "filledAt": "2025-09-01T15:04:21.129Z",  "closedAt": null,  "entryPrice": 20000,  "entryMargin": 1000,  "open": false,  "running": true,  "canceled": false,  "closed": false,  "sumFundingFees": 10,  "sumCashInPl": 0,  "sumCashInMargin": 0,  "clientId": "test-client-id-123"}